package sun.management.snmp.jvminstr;

import com.sun.jmx.snmp.SnmpStatusException;
import java.io.Serializable;
import sun.management.snmp.jvmmib.JvmRTClassPathEntryMBean;

public class JvmRTClassPathEntryImpl implements JvmRTClassPathEntryMBean, Serializable
{
    static final long serialVersionUID = 8524792845083365742L;
    private final String item;
    private final int index;
    
    public JvmRTClassPathEntryImpl(String s, int index) {
        this.item = this.validPathElementTC(s);
        this.index = index;
    }
    
    private String validPathElementTC(String s) {
        return JVM_MANAGEMENT_MIB_IMPL.validPathElementTC(s);
    }
    
    public String getJvmRTClassPathItem() throws SnmpStatusException {
        return this.item;
    }
    
    public Integer getJvmRTClassPathIndex() throws SnmpStatusException {
        return new Integer(this.index);
    }
}
